# Ogre::Rectangle Struct Reference

`#include <OgreRectangle.h>`

List of all members.

## Public Member Functions

bool | inside (Real x, Real y) const

## Public Attributes

Real | left
Real | top
Real | right
Real | bottom

## Member Function Documentation

bool Ogre::Rectangle::inside | ( | Real | x,
|  | Real | y
| ) | const

| Definition at line 39 of file OgreRectangle.h. References Ogre::Real.

## Member Data Documentation

Real Ogre::Rectangle::bottom

| Definition at line 37 of file OgreRectangle.h. Referenced by Ogre::intersect().

Real Ogre::Rectangle::left

| Definition at line 34 of file OgreRectangle.h. Referenced by Ogre::intersect().

Real Ogre::Rectangle::right

| Definition at line 36 of file OgreRectangle.h. Referenced by Ogre::intersect().

Real Ogre::Rectangle::top

| Definition at line 35 of file OgreRectangle.h. Referenced by Ogre::intersect().

The documentation for this struct was generated from the following file:

- OgreRectangle.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 13:02:18 2006